<?php
// File: /admin/settings/check_balance.php
require_once '../../includes/config.php';
require_once '../../includes/functions.php';

// Check if admin is logged in
if (!isAdminLoggedIn()) {
    redirect(ADMIN_URL . '/login.php');
}

// Get provider ID
$providerId = isset($_GET['id']) ? (int)$_GET['id'] : 0;

if ($providerId <= 0) {
    setFlashMessage("Invalid provider ID", "error");
    redirect(ADMIN_URL . '/settings/providers.php');
}

// Redirect to the detailed balance test page
redirect(ADMIN_URL . '/settings/provider_balance_test.php?id=' . $providerId);
?>