if (isset($responseData['success']) && $responseData['success'] === true) {
    // Format 1: Direct success flag is true
    $isResponseSuccess = true;
    $message = isset($responseData['message']) ? $responseData['message'] : 'Airtime purchase successful';
} 
elseif (isset($responseData['status']) && ($responseData['status'] === 'success' || $responseData['status'] === true || $responseData['status'] === 'successful')) {
    // Format 2: Status field indicates success
    $isResponseSuccess = true;
    $message = isset($responseData['message']) ? $responseData['message'] : 'Airtime purchase successful';
}
elseif (isset($responseData['Status']) && ($responseData['Status'] === 'success' || $responseData['Status'] === true || $responseData['Status'] === 'successful')) {
    // Format 2.5: Status field with capital S indicates success
    $isResponseSuccess = true;
    $message = isset($responseData['message']) ? $responseData['message'] : 'Airtime purchase successful';
}
elseif (isset($responseData['data']) && isset($responseData['data']['status']) && 
        ($responseData['data']['status'] === 'success' || $responseData['data']['status'] === true || $responseData['data']['status'] === 'successful')) {
    // Format 3: Nested data.status indicates success
    $isResponseSuccess = true;
    $message = isset($responseData['data']['message']) ? $responseData['data']['message'] : 'Airtime purchase successful';
}
elseif ($isHttpSuccess && !isset($responseData['error'])) {
    // Format 4: HTTP success + no error field = assume success
    // This is very important - if the API returns HTTP 200 and there's no explicit error, 
    // we should treat it as success even if we don't recognize the exact response format
    $isResponseSuccess = true;
    $message = 'Airtime purchase likely successful based on HTTP status';
}