<?php
// Database configuration
define('DB_HOST', 'localhost');
define('DB_USER', 'fkyiliss_vtu'); // Change to your database username
define('DB_PASS', 'fkyiliss_vtu'); // Change to your database password
define('DB_NAME', 'fkyiliss_vtu'); // Change to your database name

// Site configuration
define('SITE_URL', 'https://vtu.teleco.com.ng'); // Change to your site URL
define('ADMIN_URL', SITE_URL . '/admin');
define('PUBLIC_PATH', $_SERVER['DOCUMENT_ROOT'] . '/vtu.teleco.com.ng'); // Change to match your directory
define('INCLUDES_PATH', PUBLIC_PATH . '/includes');
define('TEMPLATES_PATH', PUBLIC_PATH . '/templates');
define('UPLOADS_PATH', PUBLIC_PATH . '/uploads');
define('ASSETS_PATH', PUBLIC_PATH . '/assets');

// Error reporting during development
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Sessions
ini_set('session.cookie_secure', 1);
ini_set('session.cookie_httponly', 1);
session_set_cookie_params([
    'secure' => true,
    'httponly' => true,
    'samesite' => 'Lax'
]);
session_start();

// Time zone
date_default_timezone_set('Africa/Lagos');

// Common settings
define('TOKEN_EXPIRE_TIME', 30); // minutes
define('PAYSTACK_TEST_SECRET', 'sk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'); // Replace with your actual key
define('PAYSTACK_TEST_PUBLIC', 'pk_test_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'); // Replace with your actual key
define('PAYSTACK_LIVE_SECRET', 'sk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'); // Replace with your actual key
define('PAYSTACK_LIVE_PUBLIC', 'pk_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'); // Replace with your actual key
define('PAYSTACK_MODE', 'test'); // 'test' or 'live'

function getPaystackKeys() {
    if (PAYSTACK_MODE === 'live') {
        return [
            'secret' => PAYSTACK_LIVE_SECRET,
            'public' => PAYSTACK_LIVE_PUBLIC
        ];
    } else {
        return [
            'secret' => PAYSTACK_TEST_SECRET,
            'public' => PAYSTACK_TEST_PUBLIC
        ];
    }
}
?>