</main>
    </div>
    
    <!-- Mobile Navigation Bar -->
    <div class="lg:hidden fixed bottom-0 left-0 right-0 bg-gray-800 border-t border-gray-700 z-10">
        <div class="flex justify-around py-2">
            <a href="<?php echo SITE_URL; ?>/dashboard/" class="mobile-nav-button flex flex-col items-center py-1 px-3 <?php echo isPageActive('index.php') ? 'active' : ''; ?>">
                <i class="fas fa-home text-lg"></i>
                <span class="text-xs mt-1">Home</span>
            </a>
            <a href="<?php echo SITE_URL; ?>/dashboard/buy_data.php" class="mobile-nav-button flex flex-col items-center py-1 px-3 <?php echo isPageActive('buy_data.php') ? 'active' : ''; ?>">
                <i class="fas fa-wifi text-lg"></i>
                <span class="text-xs mt-1">Data</span>
            </a>
            <a href="<?php echo SITE_URL; ?>/dashboard/buy_airtime.php" class="mobile-nav-button flex flex-col items-center py-1 px-3 <?php echo isPageActive('buy_airtime.php') ? 'active' : ''; ?>">
                <i class="fas fa-phone text-lg"></i>
                <span class="text-xs mt-1">Airtime</span>
            </a>
            <a href="<?php echo SITE_URL; ?>/dashboard/fund_wallet.php" class="mobile-nav-button flex flex-col items-center py-1 px-3 <?php echo isPageActive('fund_wallet.php') ? 'active' : ''; ?>">
                <i class="fas fa-wallet text-lg"></i>
                <span class="text-xs mt-1">Fund</span>
            </a>
            <a href="<?php echo SITE_URL; ?>/dashboard/profile.php" class="mobile-nav-button flex flex-col items-center py-1 px-3 <?php echo isPageActive('profile.php') ? 'active' : ''; ?>">
                <i class="fas fa-user text-lg"></i>
                <span class="text-xs mt-1">Profile</span>
            </a>
        </div>
    </div>
    
    <!-- JavaScript -->
    <script>
        // Toggle user dropdown
        const userButton = document.getElementById('userDropdownButton');
        const userDropdown = document.getElementById('userDropdown');
        
        userButton.addEventListener('click', () => {
            userDropdown.classList.toggle('hidden');
        });
        
        // Toggle sidebar on mobile
        const sidebarToggle = document.getElementById('sidebarToggle');
        const sidebar = document.getElementById('sidebar');
        
        sidebarToggle.addEventListener('click', () => {
            sidebar.classList.toggle('-translate-x-full');
        });
        
        // Close sidebar when clicking outside on mobile
        document.addEventListener('click', (event) => {
    const isMobile = window.innerWidth < 1024;
    if (isMobile && !sidebar.contains(event.target) && !sidebarToggle.contains(event.target) && !sidebar.classList.contains('-translate-x-full')) {
        sidebar.classList.add('-translate-x-full');
    }
});
        // Close dropdown when clicking outside
        document.addEventListener('click', (event) => {
            if (!userButton.contains(event.target) && !userDropdown.contains(event.target)) {
                userDropdown.classList.add('hidden');
            }
        });
        
        // Mobile navigation active state
        const mobileNavButtons = document.querySelectorAll('.mobile-nav-button');
        mobileNavButtons.forEach(button => {
            if (button.classList.contains('active')) {
                button.style.color = getComputedStyle(document.documentElement).getPropertyValue('--accent-color');
            }
        });
        
        // Tooltips
        const tooltipElements = document.querySelectorAll('[data-tooltip]');
        tooltipElements.forEach(element => {
            element.addEventListener('mouseenter', () => {
                const tooltip = document.createElement('div');
                tooltip.className = 'absolute bg-gray-800 text-white text-xs px-2 py-1 rounded-md z-50 whitespace-nowrap';
                tooltip.innerText = element.getAttribute('data-tooltip');
                tooltip.style.bottom = 'calc(100% + 5px)';
                tooltip.style.left = '50%';
                tooltip.style.transform = 'translateX(-50%)';
                
                element.appendChild(tooltip);
                element.classList.add('tooltip-active');
            });
            
            element.addEventListener('mouseleave', () => {
                const tooltip = element.querySelector('div');
                if (tooltip) {
                    tooltip.remove();
                }
                element.classList.remove('tooltip-active');
            });
        });
    </script>
    <?php if (isset($extraScripts)): ?>
        <?php echo $extraScripts; ?>
    <?php endif; ?> 
<?php
// Other footer.php code...
ob_end_flush(); // Add this at the end of footer.php
?>
</body>
</html>